import pytest
from Statistics import *

class TestStatistics():

    def setup_method(self):
        c1 = CircleT(1,0,2)
        c2 = CircleT(-3,-5,5.25)
        c3 = CircleT(-2,5,10)
        c4 = CircleT(1e-10,1e-10,1e-10)
        c5 = CircleT(1e10,1e10,1e10)

        self.circles = [c1,c2,c3,c4,c5]

    def teardown_method(self):
        self.circles = None

    def testAverageOfCircles(self):
        assert average(self.circles) == pytest.approx(2000000003.45, rel=0.1)

    def test_rank(self):
        assert rank(self.circles) == [4,3,2,5,1]

    def test_stdDev(self):
        assert stdDev(self.circles) == pytest.approx(3999999998.275, rel=0.1)
